PocketSurvey®

Desktop Requirements

Desktop Requirements

Desktop Requirements

The desktop components of PocketSurvey run on any Windows PC from Windows XP upwards, including Windows 7 and Windows 8. You can also run on a Mac using products such as Parallels.

Both 32-bit and 64-bit versions of Windows are supported.

Related Information: Data Collection Methods

Be SMART... Collect Data NOT Paper!
Chat
Desktop Requirements